# Generated by Django 5.2 on 2025-05-07 03:40

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='KnowledgeBase',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('user_id', models.UUIDField(verbose_name='创建者ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='知识库名称')),
                ('desc', models.TextField(blank=True, null=True, verbose_name='知识库描述')),
                ('type', models.CharField(choices=[('admin', '管理级知识库'), ('leader', '部门级知识库'), ('member', '成员级知识库'), ('private', '私有知识库'), ('secret', '公司级别私密知识库')], default='private', max_length=20, verbose_name='知识库类型')),
                ('department', models.CharField(blank=True, max_length=50, null=True)),
                ('group', models.CharField(blank=True, max_length=50, null=True)),
                ('documents', models.JSONField(default=list)),
                ('char_length', models.IntegerField(default=0)),
                ('document_count', models.IntegerField(default=0)),
                ('external_id', models.UUIDField(blank=True, null=True)),
                ('create_time', models.DateTimeField(auto_now_add=True)),
                ('update_time', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'knowledge_bases',
                'indexes': [models.Index(fields=['type'], name='knowledge_b_type_0439e7_idx'), models.Index(fields=['department'], name='knowledge_b_departm_e739fd_idx'), models.Index(fields=['group'], name='knowledge_b_group_3dcf34_idx')],
            },
        ),
        migrations.CreateModel(
            name='KnowledgeBaseDocument',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('document_id', models.CharField(max_length=100, verbose_name='文档ID')),
                ('document_name', models.CharField(max_length=255, verbose_name='文档名称')),
                ('external_id', models.CharField(max_length=100, verbose_name='外部文档ID')),
                ('uploader_name', models.CharField(default='未知用户', max_length=100, verbose_name='上传者姓名')),
                ('status', models.CharField(choices=[('active', '有效'), ('deleted', '已删除')], default='active', max_length=20, verbose_name='状态')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('knowledge_base', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='kb_documents', to='knowledge_base.knowledgebase', verbose_name='知识库')),
            ],
            options={
                'verbose_name': '知识库文档',
                'verbose_name_plural': '知识库文档',
                'db_table': 'knowledge_base_documents',
                'indexes': [models.Index(fields=['knowledge_base', 'status'], name='knowledge_b_knowled_a4db1b_idx'), models.Index(fields=['document_id'], name='knowledge_b_documen_dab90f_idx'), models.Index(fields=['external_id'], name='knowledge_b_externa_b0060c_idx')],
                'unique_together': {('knowledge_base', 'document_id')},
            },
        ),
    ]
